<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
method="html"
encoding="UTF-8"
doctype-public="-//W3C//DTD HTML 4.01//EN"
doctype-system="http://www.w3.org/TR/html4/strict.dtd"
indent="yes" />

<!-- template -->
<xsl:template match="body">
 <html><head><link rel="stylesheet" href="preder.css" type="text/css" /></head>
 <body>
  <xsl:apply-templates/>
 </body>
 </html>
</xsl:template>

  <!-- template --> 
<xsl:template match="entry">
	<b><xsl:value-of select="concat(@n,' - ')"/></b>
	<xsl:if test="count(sense/cit[@type='example'])>0"><!-- changer la condition pour les sans example et sans def -->
        	<xsl:apply-templates select="form" />
        </xsl:if>
	<xsl:apply-templates select="sense" /> 
	<br/>
</xsl:template>

<!-- template-->
<xsl:template match="form">
  <xsl:apply-templates />
 <br />
</xsl:template> 

<!-- template -->
<xsl:template match="sense">
	<b><xsl:apply-templates select="cit[@type='translation']"/></b>
	<xsl:apply-templates select="cit[@type='example']"/>
	<xsl:apply-templates select="def | xr | note"/>
</xsl:template>

<!-- template-->
<xsl:template match="cit[@type='example']">
  <p>• <xsl:apply-templates select="q | quote"/><i>
  <xsl:text> </xsl:text>
  <xsl:for-each select="cit">
		<xsl:text> </xsl:text>
		<xsl:value-of select="."/>
   </xsl:for-each>	</i>
   <xsl:apply-templates select="usg"/> 
  <xsl:text>. </xsl:text>
  </p>
</xsl:template>

<!-- template-->
<xsl:template match="cit[@type='translation']">
	<xsl:copy>
	   <xsl:for-each select="form">
		<xsl:text> </xsl:text>
		<xsl:apply-templates />
	<xsl:if test="position() != last()">
	   <xsl:text>, </xsl:text>
	</xsl:if>
	   </xsl:for-each>
	</xsl:copy>
	<xsl:if test="position() != last()">
	   <xsl:text> ♦ </xsl:text>
	</xsl:if>
</xsl:template>

<!-- template-->
<xsl:template match="form[@type='infl'] | pos | num | gen">
	<xsl:copy>
	   <xsl:for-each select="node()">
		<xsl:text> </xsl:text>
		<xsl:value-of select="."/>
	   </xsl:for-each>
	</xsl:copy>
</xsl:template>

<!-- template -->
<xsl:template match="note">
  <p>▼ 
  <xsl:value-of select="."/>
  </p>
</xsl:template>

<!-- template -->
<xsl:template match="usg">
	<b> [<xsl:copy>
		<xsl:apply-templates select="node()" />
	</xsl:copy>]</b>
</xsl:template>

<!-- template -->
<xsl:template match="def">
  <p>
  <xsl:text> </xsl:text>
  <xsl:if test="count(@n)!=0">
	<xsl:number value="@n"/>
	<xsl:text>. </xsl:text>
  </xsl:if>
  <xsl:text>&#xa;</xsl:text>
  <xsl:copy>
		<xsl:apply-templates select="node()" />
  </xsl:copy>
  </p>
</xsl:template>

<!-- template -->
<xsl:template match="xr">

  <i>(<xsl:copy>
		<xsl:apply-templates select="node()" />
	</xsl:copy>)</i>
</xsl:template>

<!-- template -->
<xsl:template match="q | quote">
	<xsl:copy>
		<xsl:apply-templates select="node()" />
		<xsl:text></xsl:text>
	</xsl:copy>
</xsl:template>


<!-- template -->
<xsl:template match="ref">
	<xsl:copy>
		<xsl:value-of select="."/>
	<xsl:if test="position() != last()">
	   <xsl:text>, </xsl:text>
	</xsl:if>
	</xsl:copy>
</xsl:template>

<!--
   Divers caractères : — - ― • ◊ ● ○ ♦
 -->

</xsl:stylesheet>
