<?xml version='1.0' encoding='UTF-8'?>

<!-- hacked by Denis to turn the Preder Geriadur ar Stlenneg into c5 file - nov 2009-->

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:tei="http://www.tei-c.org/ns/1.0" version="1.0">

<!--  <xsl:include href="indent.xsl"/> -->
   <!--<xsl:variable name="stylesheet-cvsid">
     $Id: teientry2txt.xsl,v 1.14 2009/04/17 08:57:26 bansp Exp $
     </xsl:variable>
   added the variable but then uncommented it, because it would get priority 
   over the one defined in the header module; not sure if that was indended -->

<!-- the addition of P5 stuff relies on the absolute complementarity between
     null-spaced elements (P4) and elements in the TEI namespace (P5) -->

    <xsl:strip-space elements="*"/>

<!-- I am fully aware of introducing some project-specific features into the P5 mode,
     but let this stuff reside here for a while until we come up with a clean way to 
     import project-dependent overrides from the individual project directories... 13-apr-09-->

  <!-- TEI entry specific templates -->
  <xsl:template match="entry">
     	<xsl:if test="count(sense/cit[@type='example'])>0">
        	<xsl:apply-templates select="form"/>
 		<xsl:text>&#xa;</xsl:text>
        </xsl:if>
        <xsl:apply-templates select="sense"/>
  </xsl:template>

  <xsl:template match="form">
    <xsl:apply-templates /> 
  </xsl:template>

<xsl:template match="sense">
	<b><xsl:apply-templates select="cit[@type='translation']"/></b>
	<xsl:apply-templates select="cit[@type='example']"/>
	<xsl:apply-templates select="def | xr | note"/>
</xsl:template>


<xsl:template match="cit[@type='example']">
   <xsl:text> • &quot;</xsl:text>
	<xsl:apply-templates select="q | quote"/>
   <xsl:text>&quot;, </xsl:text>
  <xsl:value-of select="cit"/>
  <xsl:for-each select="usg">
     <xsl:text> [</xsl:text>
     <xsl:copy>
		<xsl:apply-templates select="node()" />
    </xsl:copy>
     <xsl:text>]</xsl:text>
  </xsl:for-each>
  <xsl:text>. &#xa;</xsl:text>
</xsl:template>

<!-- template -->
<xsl:template match="note">
  ▼  <xsl:copy>
		<xsl:apply-templates select="node()" />
    </xsl:copy>
</xsl:template>

<!-- template -->	
<xsl:template match="def">
  <xsl:if test="count(@n)!=0">
	<xsl:number value="@n"/>
	<xsl:text>. </xsl:text>
  </xsl:if>
  <xsl:value-of select="."/>
</xsl:template>

<!-- template-->
<xsl:template match="cit[@type='translation']">
	<xsl:copy>
	   <xsl:for-each select="form">
		<xsl:text> </xsl:text>
		<xsl:apply-templates />
	<xsl:if test="position() != last()">
	   <xsl:text>, </xsl:text>
	</xsl:if>
	   </xsl:for-each>
	</xsl:copy>
  <xsl:choose>
        <xsl:when test="position() != last()">
	  <xsl:text> ♦ </xsl:text>
        </xsl:when>
        <xsl:otherwise>
  <xsl:text>&#xa;</xsl:text>
        </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- template -->
<xsl:template match="usg">
    <xsl:text>[</xsl:text>
    <xsl:copy>
		<xsl:apply-templates select="node()" />
    </xsl:copy>
    <xsl:text>]. </xsl:text>
</xsl:template>

<!-- template-->
<xsl:template match="form[@type='infl'] | pos | num | gen">
	<xsl:copy>
	   <xsl:for-each select="node()">
		<xsl:text> </xsl:text>
		<xsl:value-of select="."/>
	   </xsl:for-each>
	</xsl:copy>
</xsl:template>

<xsl:template match="q | quote">
	<xsl:apply-templates />
</xsl:template>

<xsl:template match="oRef">
  <xsl:text>―</xsl:text>
</xsl:template>

<!-- template -->
<xsl:template match="xr">
	<xsl:text>&#xa;</xsl:text>
	(<xsl:copy>
		<xsl:apply-templates select="node()" />
	</xsl:copy>)
</xsl:template>


<!-- template -->
<xsl:template match="ref">
	<xsl:copy>
		<xsl:value-of select="."/>
	<xsl:if test="position() != last()">
	   <xsl:text>, </xsl:text>
	</xsl:if>
	</xsl:copy>
</xsl:template>

<!-- caractères spéciaux — - ― • ◊ ● ○ ♦ -->

</xsl:stylesheet>

